=== debian/changelog ===
gcc-10 (10.3.0-15ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Mar 2022 13:12:38 +0100

gcc-10 (10.3.0-15) unstable; urgency=medium

  * Update to git 20220324 from the gcc-10 branch.
    - Fix PR tree-optimization/103237, PR middle-end/103181,
      PR middle-end/103248, PR tree-optimization/102798, PR ipa/102762,
      PR tree-optimization/100923, PR tree-optimization/101158,
      PR target/103627 (PPC), PR target/103627 (PPC), PR target/104469 (x86),
      PR target/104458 (x86), PR target/104451 (x86), PR target/104090 (PPC),
      PR middle-end/95115, PR target/102976 (PPC), PR ada/103538,
      PR ada/103538, PR fortran/104619, PR fortran/104311, PR fortran/104331,
      PR fortran/83079, PR fortran/104127, PR fortran/104227,
      PR fortran/101762, PR fortran/67804, PR fortran/103782,
      PR fortran/103692, PR fortran/102332, PR sanitizer/102911,
      PR libstdc++/102358, PR target/87496 (PPC), PR target/104208 (PPC),
      PR target/104453 (x86), PR tree-optimization/104511,
      PR target/100784 (x86), PR target/104253 (PPC).
  * Support the ld.mold linker, patch taken from the trunk.
  * Don't enable -fcf-protection with -m16 and -m32. LP: #1940029.
  * Don't run the tests on ppc64 and sh4, hanging on the buildds.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 13:03:07 +0100

gcc-10 (10.3.0-14ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Jan 2022 11:55:32 +0100

gcc-10 (10.3.0-14) unstable; urgency=medium

  * Update to git 20220113 from the gcc-10 branch.
    - Fix PR tree-optimization/97953, PR target/103465, PR target/103661 (x86),
      PR target/102347 (PPC), PR ipa/103267, PR target/103274 (x86),
      PR ipa/103052, PR target/101985 (PPC), PR libfortran/103634,
      PR d/103604, PR libstdc++/103877, PR libstdc++/103549,
      PR libstdc++/103453, PR libstdc++/103086, PR libstdc++/101571,
      PR libstdc++/101965, PR libstdc++/102894, PR libstdc++/102270,
      PR libstdc++/100863, PR libstdc++/100863, PR libstdc++/65816,
      PR libstdc++/101870, PR libstdc++/101608, PR libstdc++/103381.
  * Remove the gdc-driver-nophobos patch.
  * Configure instead with --with-libphobos-druntime-only=yes.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jan 2022 11:33:44 +0100

gcc-10 (10.3.0-13ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Nov 2021 21:16:05 +0100

gcc-10 (10.3.0-13) unstable; urgency=medium

  * Update to git 20211117 from the gcc-10 branch.
    - Fix PR ipa/102714, PR middle-end/100672, PR tree-optimization/100253,
      PR tree-optimization/102789, PR rtl-optimization/102842,
      PR tree-optimization/102505, PR fortran/103137, PR fortran/103138,
      PR fortran/102816, PR fortran/102685, PR fortran/102715,
      PR fortran/102817, PR fortran/99348, PR fortran/102521,
      PR libstdc++/103022.
  * Move libtsan_preinit.o into libgcc-10-dev. Addresses: #999752.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 19:08:29 +0100

gcc-10 (10.3.0-12ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Oct 2021 14:09:30 +0200

gcc-10 (10.3.0-12) unstable; urgency=medium

  * Update to git 20211029 from the gcc-10 branch.
    - Fix PR target/102761 (x86), PR target/98667 (x86),
      PR tree-optimization/102046, PR tree-optimization/101925,
      PR tree-optimization/101373, PR tree-optimization/101868,
      PR middle-end/101824, PR target/102588 (SPARC), PR c++/64697,
      PR tree-optimization/102622, PR target/102107 (PPC),
      PR target/102107 (PPC), PR c++/95520, PR c++/99617, PR d/102574,
      PR fortran/102716, PR fortran/102458, PR fortran/102458,
      PR fortran/82314, PR fortran/102520, PR fortran/85130,
      PR fortran/102287, PR fortran/102366, PR libstdc++/90787,
      PR libstdc++/100187, PR libstdc++/100237, PR libstdc++/100249,
      PR libstdc++/100287, PR libstdc++/101599, PR libstdc++/101589,
      PR libstdc++/101483, PR libstdc++/100387, PR libstdc++/100606,
      PR libstdc++/102425, PR libstdc++/99876, PR libstdc++/102280,
      PR libstdc++/102667.
  * ARM: pass architecture extensions to assembler if supported. Backported
    from the trunk.
  * Stop building the gcn offload compiler, not working with LLVM-13.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Oct 2021 13:53:58 +0200

gcc-10 (10.3.0-11ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Sep 2021 10:30:36 +0200

gcc-10 (10.3.0-11) unstable; urgency=medium

  * Update to git 20210918 from the gcc-10 branch.
    - Fix PR rtl-optimization/102306, PR target/97142 (PPC), PR fortran/101327,
      PR fortran/98490, PR fortran/97612, PR fortran/98565, PR fortran/97694,
      PR fortran/97723, PR fortran/93701, PR fortran/98472, PR fortran/100110.
  * Fix libgcc-s1 symbols file for alpha.
  * For armhf configure --with-arch=<arch>+fp, dropping the --with-fpu=
    option; keep the old configure options for backports, for now only enabled
    for future distro releases.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Sep 2021 10:14:37 +0200

gcc-10 (10.3.0-10ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Sep 2021 18:07:35 +0200

gcc-10 (10.3.0-10) unstable; urgency=medium

  * Update to git 20210909 from the gcc-10 branch.
    - Fix PR c++/60318, PR tree-optimization/101394, PR middle-end/101291,
      PR tree-optimization/101173, PR tree-optimization/101280,

