## gcc-10 10.4.0

=== debian/changelog ===
gcc-10 (10.4.0-7+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from gcc-8 8-20180207-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 17 Feb 2018 00:20:23 +0000]
  * Don't pass -march=armv7+fp to compiler when building libatomic.

  [changes introduced in gcc-8 8.2.0-16+rpi1 by Peter Michael Green]
  * Disable testsuite (build seems to hang after testsuite completes).

  [changes introduced in gcc-9 9.1.0-10+rpi1 by Peter Michael Green]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 18 Jan 2023 04:58:41 +0000

gcc-10 (10.4.0-7) unstable; urgency=medium

  * Update to git 20230110 from the gcc-10 branch.
    - Fix PR target/106736 (PPC), PR fortran/108131.
  * RISC-V: jal cannot refer to a default visibility symbol for shared object,
    taken from the GCC 12 branch.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2023 05:34:13 +0100

gcc-10 (10.4.0-6) unstable; urgency=medium

  * Update to git 20230102 from the gcc-10 branch.
    - Fix PR target/98776 (AArch64), PR target/107863 (x86),
      PR rtl-optimization/107482, PR tree-optimization/107485,
      PR target/107304, PR c/41041, PR target/106355 (S390),
      PR target/107364 (x86), PR target/107336, PR target/96072 (PPC),
      PR target/99685 (PPC), PR lto/106540, PR lto/106334,
      PR tree-optimization/106513, PR middle-end/106331,
      PR tree-optimization/106131, PR tree-optimization/106112,
      PR target/107248 (SPARC), PR target/107064 (x86),
      PR target/106491 (AArch64), PR target/101322 (PPC), PR c++/102780,
      PR c++/108138, PR d/108050, PR d/107592, PR d/106638, PR d/106139,
      PR fortran/107872, PR fortran/107576, PR fortran/103413,
      PR fortran/105633, PR fortran/106817, PR fortran/105012,
      PR fortran/100040, PR fortran/100029, PR fortran/100132,
      PR fortran/107054, PR fortran/82868, PR fortran/106985,
      PR fortran/103694, PR fortran/106986, PR fortran/100245,
      PR fortran/106857.
  * Backport d/patches/pr91085.diff to avoid problem with fixincludes-ed
    sys/mount.h.
  * The fix for PR ada/103538 leads to a build failure on x32 not having
    the dladdr linked in on x32 with older glibc version where this symbol
    is still in libdl.so. Just link with -ldl. Fixes PR ada/107475.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2023 16:17:29 +0100

gcc-10 (10.4.0-5) unstable; urgency=medium

  * Update to git 20220905 from the gcc-10 branch.
    - Fix PR target/106017 (PPC), PR target/103353 (PPC),
      PR target/103197 (PPC), PR target/102146 (PPC), PR testsuite/106345,
      PR target/106091 (PPC), PR rtl-optimization/105041,
      PR preprocessor/97498, PR d/106638, PR fortran/103504,
      PR libstdc++/98421, PR libstdc++/100748, PR libstdc++/103133,
      PR libstdc++/106162, PR libstdc++/106320.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Sep 2022 22:00:22 +0200

gcc-10 (10.4.0-4) unstable; urgency=medium

  * Fix the backport of the fix for PR target/102952.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jul 2022 11:27:17 +0200

gcc-10 (10.4.0-3) unstable; urgency=medium

  * Fix applying the pr102952-doc patch.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2022 16:41:26 +0200

gcc-10 (10.4.0-2) unstable; urgency=medium

  * Update to git 20220718 from the gcc-10 branch.
    - Fix PR tree-optimization/105860, PR d/106139, PR fortran/104313,
      PR fortran/103137, PR fortran/103138, PR fortran/103693,
      PR fortran/105243, PR fortran/106121, PR fortran/105954,
      PR fortran/105691, PR fortran/105813.
  * Backport PR target/102952, support for -mharden-sls and
    -mindirect-branch-cs-prefix for x86, suggested by Ben Hutchings.
    Closes: #1014851.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2022 09:33:00 +0200

gcc-10 (10.4.0-1) unstable; urgency=medium

  * GCC 10.4.0 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jun 2022 14:30:05 +0200

gcc-10 (10.3.0-16) unstable; urgency=medium

  * Update to git 20220622 from the gcc-10 branch (10.4 release candidate).

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jun 2022 21:12:42 +0200

gcc-10 (10.3.0-5) experimental; urgency=medium

  * Update to git 20210610 from the gcc-10 branch.
    - Fix PR target/100333 (ARM), PR rtl-optimization/98777,
      PR rtl-optimization/98722, PR target/97969, PR target/99725 (ARM),
      PR target/99960 (ARM), PR target/99977 (ARM),
      PR rtl-optimization/80960, PR tree-optimization/100566,
      PR target/100419 (ARM), PR target/100563 (ARM), PR middle-end/100571,
      PR target/99988 (AArch64), PR target/100108 (PPC), PR c++/100102,
      PR c++/100797, PR c++/95719, PR c++/100489, PR c++/80456,
      PR c++/100054, PR c++/90479, PR c++/100032, PR c++/91933,
      PR c++/99180, PR c++/93295, PR c++/93867, PR c++/99118, PR c++/96873,
      PR c++/41723, PR c++/52625, PR c++/92918, PR c++/96673, PR c++/99901,
      PR c++/96311, PR c++/95870, PR c++/99201, PR c++/99643, PR c++/90664,
      PR c++/91217, PR c++/97938, PR d/100964, PR d/100935, PR d/100882,
      PR fortran/99839, PR fortran/98411, PR sanitizer/100379,
      PR libstdc++/100833, PR libstdc++/100768, PR libstdc++/99453,
      PR libstdc++/99453, PR libstdc++/100630.
  * Run again all tests from the guality test suite on armhf.
  * Update libasan6 symbols for riscv64 (Helmut Grohne). Closes: #989205.
  * gcc-10-base: Breaks: gcc-8-base (<< 8.4). Closes: #984574.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Jun 2021 12:17:09 +0200
