=== debian/control ===
Source: gcc-10
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.30-1~) [alpha ia64] | libc0.3-dev (>= 2.30-1~) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.30-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf2.69, gcc-11-base, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
  binutils:native (>= 2.35.1-7), binutils-hppa64-linux-gnu:native (>= 2.35.1-7) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-10:native [!m32r !sh3 !sh3eb !sh4eb], g++-10:native, netbase, python3:any, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-10-alpha-linux-gnu [alpha] <cross>, gobjc-10-alpha-linux-gnu [alpha] <cross>, gfortran-10-alpha-linux-gnu [alpha] <cross>, gdc-10-alpha-linux-gnu [alpha] <cross>, gccgo-10-alpha-linux-gnu [alpha] <cross>, gnat-10-alpha-linux-gnu [alpha] <cross>, gm2-10-alpha-linux-gnu [alpha] <cross>, g++-10-x86-64-linux-gnu [amd64] <cross>, gobjc-10-x86-64-linux-gnu [amd64] <cross>, gfortran-10-x86-64-linux-gnu [amd64] <cross>, gdc-10-x86-64-linux-gnu [amd64] <cross>, gccgo-10-x86-64-linux-gnu [amd64] <cross>, gnat-10-x86-64-linux-gnu [amd64] <cross>, gm2-10-x86-64-linux-gnu [amd64] <cross>, g++-10-arm-linux-gnueabi [armel] <cross>, gobjc-10-arm-linux-gnueabi [armel] <cross>, gfortran-10-arm-linux-gnueabi [armel] <cross>, gdc-10-arm-linux-gnueabi [armel] <cross>, gccgo-10-arm-linux-gnueabi [armel] <cross>, gnat-10-arm-linux-gnueabi [armel] <cross>, gm2-10-arm-linux-gnueabi [armel] <cross>, g++-10-arm-linux-gnueabihf [armhf] <cross>, gobjc-10-arm-linux-gnueabihf [armhf] <cross>, gfortran-10-arm-linux-gnueabihf [armhf] <cross>, gdc-10-arm-linux-gnueabihf [armhf] <cross>, gccgo-10-arm-linux-gnueabihf [armhf] <cross>, gnat-10-arm-linux-gnueabihf [armhf] <cross>, gm2-10-arm-linux-gnueabihf [armhf] <cross>, g++-10-aarch64-linux-gnu [arm64] <cross>, gobjc-10-aarch64-linux-gnu [arm64] <cross>, gfortran-10-aarch64-linux-gnu [arm64] <cross>, gdc-10-aarch64-linux-gnu [arm64] <cross>, gccgo-10-aarch64-linux-gnu [arm64] <cross>, gnat-10-aarch64-linux-gnu [arm64] <cross>, gm2-10-aarch64-linux-gnu [arm64] <cross>, g++-10-i686-linux-gnu [i386] <cross>, gobjc-10-i686-linux-gnu [i386] <cross>, gfortran-10-i686-linux-gnu [i386] <cross>, gdc-10-i686-linux-gnu [i386] <cross>, gccgo-10-i686-linux-gnu [i386] <cross>, gnat-10-i686-linux-gnu [i386] <cross>, gm2-10-i686-linux-gnu [i386] <cross>, g++-10-mipsel-linux-gnu [mipsel] <cross>, gobjc-10-mipsel-linux-gnu [mipsel] <cross>, gfortran-10-mipsel-linux-gnu [mipsel] <cross>, gdc-10-mipsel-linux-gnu [mipsel] <cross>, gccgo-10-mipsel-linux-gnu [mipsel] <cross>, gnat-10-mipsel-linux-gnu [mipsel] <cross>, gm2-10-mipsel-linux-gnu [mipsel] <cross>, g++-10-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-10-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-10-mips64-linux-gnuabi64 [mips64] <cross>, gdc-10-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-10-mips64-linux-gnuabi64 [mips64] <cross>, gnat-10-mips64-linux-gnuabi64 [mips64] <cross>, gm2-10-mips64-linux-gnuabi64 [mips64] <cross>, g++-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-10-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-10-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-10-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-10-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-10-powerpc-linux-gnu [powerpc] <cross>, gobjc-10-powerpc-linux-gnu [powerpc] <cross>, gfortran-10-powerpc-linux-gnu [powerpc] <cross>, gdc-10-powerpc-linux-gnu [powerpc] <cross>, gccgo-10-powerpc-linux-gnu [powerpc] <cross>, gnat-10-powerpc-linux-gnu [powerpc] <cross>, g++-10-powerpc64-linux-gnu [ppc64] <cross>, gobjc-10-powerpc64-linux-gnu [ppc64] <cross>, gfortran-10-powerpc64-linux-gnu [ppc64] <cross>, gdc-10-powerpc64-linux-gnu [ppc64] <cross>, gccgo-10-powerpc64-linux-gnu [ppc64] <cross>, gnat-10-powerpc64-linux-gnu [ppc64] <cross>, g++-10-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-10-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-10-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-10-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-10-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-10-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-10-powerpc64le-linux-gnu [ppc64el] <cross>, g++-10-m68k-linux-gnu [m68k] <cross>, gobjc-10-m68k-linux-gnu [m68k] <cross>, gfortran-10-m68k-linux-gnu [m68k] <cross>, gdc-10-m68k-linux-gnu [m68k] <cross>, gm2-10-m68k-linux-gnu [m68k] <cross>, g++-10-riscv64-linux-gnu [riscv64] <cross>, gobjc-10-riscv64-linux-gnu [riscv64] <cross>, gfortran-10-riscv64-linux-gnu [riscv64] <cross>, gdc-10-riscv64-linux-gnu [riscv64] <cross>, gccgo-10-riscv64-linux-gnu [riscv64] <cross>, gnat-10-riscv64-linux-gnu [riscv64] <cross>, gm2-10-riscv64-linux-gnu [riscv64] <cross>, g++-10-sh4-linux-gnu [sh4] <cross>, gobjc-10-sh4-linux-gnu [sh4] <cross>, gfortran-10-sh4-linux-gnu [sh4] <cross>, gnat-10-sh4-linux-gnu [sh4] <cross>, g++-10-sparc64-linux-gnu [sparc64] <cross>, gobjc-10-sparc64-linux-gnu [sparc64] <cross>, gfortran-10-sparc64-linux-gnu [sparc64] <cross>, gdc-10-sparc64-linux-gnu [sparc64] <cross>, gccgo-10-sparc64-linux-gnu [sparc64] <cross>, gnat-10-sparc64-linux-gnu [sparc64] <cross>, gm2-10-sparc64-linux-gnu [sparc64] <cross>, g++-10-s390x-linux-gnu [s390x] <cross>, gobjc-10-s390x-linux-gnu [s390x] <cross>, gfortran-10-s390x-linux-gnu [s390x] <cross>, gdc-10-s390x-linux-gnu [s390x] <cross>, gccgo-10-s390x-linux-gnu [s390x] <cross>, gnat-10-s390x-linux-gnu [s390x] <cross>, gm2-10-s390x-linux-gnu [s390x] <cross>, g++-10-x86-64-linux-gnux32 [x32] <cross>, gobjc-10-x86-64-linux-gnux32 [x32] <cross>, gfortran-10-x86-64-linux-gnux32 [x32] <cross>, gdc-10-x86-64-linux-gnux32 [x32] <cross>, gccgo-10-x86-64-linux-gnux32 [x32] <cross>, gnat-10-x86-64-linux-gnux32 [x32] <cross>, gm2-10-x86-64-linux-gnux32 [x32] <cross>, g++-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-10-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-10-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-10-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-10-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc/tree/gcc-10-debian
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git -b gcc-10-debian
XS-Testsuite: autopkgtest

Package: gcc-10-base
Architecture: any
Multi-Arch: same
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-10-dev
X-DH-Build-For-Type: target
Architecture: any
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-10-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},
 ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan},
 ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv},
 ${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
